## zeroc-ice 3.5.1

=== Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

SUBDIRS			= cpp java cs py rb php
CLEAN_SUBDIRS		= java cs py rb php cpp
DEPEND_SUBDIRS		= cpp cs py rb php
INSTALL_SUBDIRS		= cpp java cs py rb php

all::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making all in $$subdir"; \
	    ( cd $$subdir && $(MAKE) all ) || exit 1; \
	done

clean::
	@for subdir in $(CLEAN_SUBDIRS); \
	do \
	    echo "making clean in $$subdir"; \
	    ( cd $$subdir && $(MAKE) clean ) || exit 1; \
	done

depend::
	@for subdir in $(DEPEND_SUBDIRS); \
	do \
	    echo "making depend in $$subdir"; \
	    ( cd $$subdir && $(MAKE) depend ) || exit 1; \
	done

install::
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    echo "making install in $$subdir"; \
	    ( cd $$subdir && $(MAKE) install ) || exit 1; \
	done

test::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making test in $$subdir"; \
	    ( cd $$subdir && $(MAKE) test ) || exit 1; \
	done

cpp::
	echo "making all in cpp";
	( cd cpp && $(MAKE) all ) || exit 1;

java::
	echo "making all in java";
	( cd java && $(MAKE) all ) || exit 1;

cs::
	echo "making all in cs";
	( cd cs && $(MAKE) all ) || exit 1;

py::
	echo "making all in py";
	( cd py && $(MAKE) all ) || exit 1;

rb::
	echo "making all in rb";
	( cd rb && $(MAKE) all ) || exit 1;

php::
	echo "making all in php";
	( cd php && $(MAKE) all ) || exit 1;

=== cpp/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= config src include test

ifeq ($(shell uname | grep MINGW),)
SUBDIRS		:= $(SUBDIRS) demo
endif

INSTALL_SUBDIRS	= $(install_bindir) $(install_libdir) $(install_includedir) \
	$(install_configdir) $(install_mandir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done
ifeq ($(create_runpath_symlink),yes)
	@if test -h $(embedded_runpath_prefix) ; \
	then \
	     if `\rm -f $(embedded_runpath_prefix) 2>/dev/null`; \
              then echo "Removed symbolic link $(embedded_runpath_prefix)"; fi \
        fi
	@if ! test -d $(embedded_runpath_prefix) ; \
	then \
	     if `ln -s $(prefix) $(embedded_runpath_prefix) 2>/dev/null`; \
              then echo "Created symbolic link $(embedded_runpath_prefix) --> $(prefix)"; fi \
	fi
endif

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== cs/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules.cs

SUBDIRS		= src test demo

INSTALL_SUBDIRS	= $(install_bindir) $(install_assembliesdir) $(install_mandir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done

ifeq ($(GACINSTALL),yes)
install:: install-common
	@if test ! -d $(DESTDIR)$(install_libdir) ; \
	then \
	    echo "Creating $(install_libdir)..." ; \
	    $(call mkdir,$(DESTDIR)$(install_libdir)) ; \
	fi
	@if test ! -d $(DESTDIR)$(install_pkgconfigdir) ; \
	then \
	    echo "Creating $(DESTDIR)$(install_pkgconfigdir)..." ; \
	    $(call mkdir,$(DESTDIR)$(install_pkgconfigdir)) ; \
	fi

endif



$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== java/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

ANT_FLAGS = -emacs
 
ifeq ($(APPEND_VERSION_SUFFIX),yes)
ANT_FLAGS += -Dappend-version-suffix=yes
endif

INSTALL_FLAGS += $(ANT_FLAGS)

ifneq ($(prefix),)
INSTALL_FLAGS += -Dprefix=$(prefix)
endif

ifneq ($(DESTDIR),)
INSTALL_FLAGS += -DDESTDIR=$(DESTDIR)
endif

all:
	ant $(ANT_FLAGS)

clean:
	ant $(ANT_FLAGS) clean

install::
	ant $(INSTALL_FLAGS) install

test::
	@python ./allTests.py

=== php/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules.php

SUBDIRS		= src lib demo test
INSTALL_SUBDIRS = $(install_phpdir) $(install_libdir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== py/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= modules python

INSTALL_SUBDIRS = $(install_pythondir) $(install_libdir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== rb/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= src ruby

INSTALL_SUBDIRS = $(install_rubydir) $(install_libdir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== cpp/config/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

all::
	echo ""

install::
	$(call installdata,templates.xml,$(DESTDIR)$(install_configdir))
	$(call installdata,convertssl.py,$(DESTDIR)$(install_configdir))
	$(call installdata,upgradeicegrid33.py,$(DESTDIR)$(install_configdir))
	$(call installdata,upgradeicegrid35.py,$(DESTDIR)$(install_configdir))
	$(call installdata,icegrid-slice.3.1.ice.gz,$(DESTDIR)$(install_configdir))
	$(call installdata,icegrid-slice.3.2.ice.gz,$(DESTDIR)$(install_configdir))
	$(call installdata,icegrid-slice.3.3.ice.gz,$(DESTDIR)$(install_configdir))
	$(call installdata,icegrid-slice.3.5.ice.gz,$(DESTDIR)$(install_configdir))

=== cpp/demo/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

SUBDIRS		= IceUtil \
		  Ice \
		  Freeze \
		  IceBox \
		  IceStorm \
		  Glacier2 \
		  IceGrid \
		  book

.PHONY: $(EVERYTHING) $(SUBDIRS)

all:: $(SUBDIRS)

$(SUBDIRS):
	@echo "making all in $@"
	@$(MAKE) all --directory=$@

$(EVERYTHING_EXCEPT_ALL)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

=== cpp/doc/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

TARGETS		= reference/index.html

SLICEFILES	= $(wildcard ../../slice/Ice/*.ice) \
		  $(wildcard ../../slice/Freeze/*.ice) \
		  $(wildcard ../../slice/IceBox/*.ice) \
		  $(wildcard ../../slice/IceGrid/*.ice) \
		  $(wildcard ../../slice/Glacier2/*.ice) \
		  $(wildcard ../../slice/IceSSL/*.ice) \
		  $(wildcard ../../slice/IceStorm/*.ice) \
		  $(wildcard ../../slice/IcePatch2/*.ice)

include $(top_srcdir)/config/Make.rules

IMAGES		= images
JAVASCRIPT	= symboltree.js

reference/index.html: $(SLICEFILES)
	$(MAKE) clean
	$(bindir)/slice2html --ice -I$(slicedir) --hdr=htmlHeader --ftr=htmlFooter \
	    --indexhdr=indexHeader --indexftr=indexFooter \
	    --image-dir=images --logo-url="http://www.zeroc.com" --search="/cgi-bin/swish.cgi" \
	    --output-dir=reference --index=3 --summary=120 $(SLICEFILES)
	mkdir reference/$(IMAGES)
	cp $(IMAGES)/*.gif reference/$(IMAGES)
	cp $(JAVASCRIPT) reference

clean::
	-rm -rf reference/*

install:: install-common reference/index.html
	@if test ! -d $(install_docdir) ; \
	then \
	    echo "Creating $(install_docdir)..." ; \
	    $(call mkdir,$(install_docdir)) ; \
	fi ; \
	if test ! -d $(install_docdir)/reference ; \
	then \
	    echo "Creating $(install_docdir)/reference..." ; \
	    $(call mkdir,$(install_docdir)/reference) ; \
	fi ; \
	echo "Installing HTML..." ; \
	$(call installdata,reference/*.*,$(install_docdir)/reference) ; \
        for i in reference/*; \
        do if test -d $$i ; \
           then \
              if test ! -d $(install_docdir)/$$i ; \
	      then \
	          echo "Creating $(install_docdir)/$$i..." ; \
		  $(call mkdir,$(install_docdir)/$$i) ; \
	      fi ; \
	      echo "Installing files in $$i..." ; \
	      $(call installdata,$$i/*.*,$(install_docdir)/$$i) ; \
	    fi; \
        done ; \

=== cpp/include/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

SUBDIRS		= Ice \
		  IceSSL \
		  IceUtil \
		  Slice

ifeq ($(findstring MINGW,$(UNAME)),)
SUBDIRS		:= $(SUBDIRS) \
		Freeze \
		Glacier2 \
		IceBox \
		IceGrid \
		IcePatch2 \
		IceStorm \
		IceXML
endif


$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

=== cpp/src/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

ifneq ($(findstring MINGW,$(UNAME)),)
    SUBDIRS		= IceUtil \
			  Slice \
			  slice2cpp \
			  slice2rb \
			  Ice \
			  IceSSL
else
    SUBDIRS		= IceUtil \
			  Slice \
			  slice2cpp \
			  slice2cs \
			  slice2freeze \
			  slice2freezej \
			  slice2java \
			  slice2php \
			  slice2py \
			  slice2rb \
			  slice2html \
			  Ice \
			  IceXML \
			  IceSSL \
			  Freeze \
			  FreezeScript \
			  IceBox \
			  Glacier2Lib \
			  Glacier2 \
			  IceDB \
			  IcePatch2Lib \
			  IcePatch2 \
			  IceStormLib \
			  IceGridLib \
			  IceStorm \
			  IceGrid \
			  ca
endif

.PHONY: $(EVERYTHING) $(SUBDIRS)

#
# Dependencies for 'all' target when using -jx
#

Slice: IceUtil

slice2cpp slice2cs slice2freeze slice2freezej slice2java slice2php slice2py slice2rb slice2html: Slice

Ice: slice2cpp

IceXML IceSSL Freeze FreezeScript IceBox Glacier2Lib IcePatch2Lib IceStormLib IceGridLib: Ice

Freeze: slice2freeze

FreezeScript IceDB: Freeze

Glacier2 IceGridLib: Glacier2Lib

IcePatch2: IcePatch2Lib

IceStorm: IceBox IceDB IceGridLib

IceGrid: IceGridLib IceStorm IcePatch2Lib IceDB


all:: $(SUBDIRS)

$(SUBDIRS):
	@echo "making all in $@"
	@$(MAKE) all --directory=$@

$(EVERYTHING_EXCEPT_ALL)::
	@for subdir in $(SUBDIRS); \
        do \
            if test -d $$subdir ; \
            then \
                echo "making $@ in $$subdir"; \
                ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
            fi; \
        done

=== debian/changelog ===
zeroc-ice (3.5.1-6) unstable; urgency=medium

  * Bug fix: "Depends on obsolete version of Ruby (1.9)", thanks to
    Christian Hofstaedtler (Closes: #743992). Thanks Cédric Boutillier for
    the patch.

 -- Cleto Martín <cleto@debian.org>  Sat, 26 Apr 2014 14:17:00 +0100

zeroc-ice (3.5.1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Conflict/Replace on libzeroc-ice3.3-java as well (Closes: #737204)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 23 Mar 2014 14:53:15 +0000

zeroc-ice (3.5.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Manually remove symlinks to python extensions. Closes: #734292.
  * Do not hardcode the php abi in the control and install files.
  * Bump dependencies from libdb5.1-java, to libdb5.3-java.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Feb 2014 09:51:05 +0100

zeroc-ice (3.5.1-5) unstable; urgency=low

  * Improving patch for hurd.
  * Building to unstable
  * New Standards-Version

 -- Cleto Martín <cleto@debian.org>  Fri, 20 Dec 2013 09:04:26 +0000

zeroc-ice (3.5.1-4) experimental; urgency=low

  * Fixing FTBFS for hurd

 -- Cleto Martín <cleto@debian.org>  Mon, 16 Dec 2013 21:33:57 +0000

zeroc-ice (3.5.1-3) experimental; urgency=low

  * Fixing FTBFS for kfreebsd and powerpc

 -- Cleto Martín <cleto@debian.org>  Mon, 25 Nov 2013 18:55:30 +0000

zeroc-ice (3.5.1-2) experimental; urgency=low

  * Bug fix: "wrongly sets LP64=no", thanks to Steven Chamberlain (Closes:
    #729262).
  * Bug fix: "rename the package ruby-zeroc-ice and install in
    /usr/lib/ruby/vendor_ruby", thanks to Cédric Boutillier (Closes:
    #727107).

 -- Cleto Martín <cleto@debian.org>  Sat, 16 Nov 2013 22:43:41 +0000

zeroc-ice (3.5.1-1) experimental; urgency=low

  * New upstream release
  * Adding icegrid-gui package without javafx code
  * Bump to 1.9.1 version for ruby.
  * Bug fix: "templates.xml appears compresed (.gz)", thanks to Oscar
    Aceña Herrera (Closes: #724745).
  * Bug fix: "zeroc-ice uses deprecated find -perm +xxx syntax, please
    switch to find -perm /+++", thanks to Andreas Metzler (Closes:
    #724773). No more needed.
  * Using version values hardcoded to avoid lintian errores at
    debian/control.
  * Removing relative paths from ClassPath.
  * Bug fix: "New upstream version 3.5.1 available", thanks to Roger Leigh
    (Closes: #726246).

 -- Cleto Martín <cleto@debian.org>  Tue, 15 Oct 2013 20:39:10 +0100

zeroc-ice (3.5.0-3) unstable; urgency=low

  * Porting to unstable (thanks to Roger Leigh for helping).
  * Removing an invalid use of substitution at debian/control.

 -- Cleto Martín <cleto@debian.org>  Mon, 12 Aug 2013 20:17:34 +0100

zeroc-ice (3.5.0-2) experimental; urgency=low

  * Fixing php installation directory.
  * Bug fix: "FTBFS in python3-zeroc-ice package", thanks to A. Maitland
    Bottoms (Closes: #718990).

 -- Cleto Martín <cleto@debian.org>  Wed, 07 Aug 2013 18:12:20 +0100

zeroc-ice (3.5.0-1) experimental; urgency=low

  [ Cleto Martín ]
  * Improving and simplifying php-zeroc-ice maintainer scripts
  * Number of processors calculated at debian/rules
  * Removing useless .ini at debian/php-zeroc-ice.postinst
  * Bug fixed by upstream: "Does not listen on IPv6 by default", thanks to
    Roger Leigh (Closes: #685030). See release notes.
  * Fixed archs and without-test-demo-compilation patches.
  * Adding python3 support.
  * Bug fix: "python3 support for ZeroC Ice", thanks to Oscar Aceña
    Herrera (Closes: #716758).
  * Bug fix: "Newer version 3.5.0 released", thanks to A. Maitland Bottoms
    (Closes: #714894).

  [ Francisco Moya ]
  * New upstream release
  * Restored default IceGrid templates

  [Roger Leigh]
  * Removing useless patches
  * Narrowing patch allows use of -Werror
  * Patch correct /usr/share location into iceca
  * Update pkg-config files for 3.5

 -- Cleto Martín <cleto@debian.org>  Tue, 30 Jul 2013 19:43:12 +0100

zeroc-ice (3.5~beta1-4) experimental; urgency=low

  * FIXME

 -- Cleto Martín <cleto@debian.org>  Tue, 26 Jan 2013 23:07:11 +0100

zeroc-ice (3.5~beta1-3) experimental; urgency=low

  * FIXME

 -- Cleto Martín <cleto@debian.org>  Tue, 25 Jan 2013 23:07:11 +0100

zeroc-ice (3.5~beta1-2) experimental; urgency=low

  * Bug fix: "php-zeroc-ice in wheezy using php API 2009 instead of
    2010?", thanks to Michael Heide (Closes: #688959).
  * Bug fix: "Please make use of new php5enmod and php5dismod commands in
    your package", thanks to Debian PHP maintainers (Closes: #667789).
  * Avoid java and cs build if not required.

 -- Cleto Martín <cleto@debian.org>  Tue, 22 Jan 2013 23:07:11 +0100

zeroc-ice (3.5~beta1-1) experimental; urgency=low

  * New upstream release
  * Dropping useless stuff:
    - debian/patches.old directory
    - debian/rules (CDBS vars and rules)
  * Adding debian/clean for removing files and simplify clean targets
  * Adding multiarch support
  * Updating to debhelper 9
  * Using hardening-wrapper temporaly for avoiding hardening issues
    - Need to patch the build system
  * Removing icegrid-gui due to javafx

 -- Cleto Martín <cleto@debian.org>  Fri, 28 Dec 2012 01:22:00 +0100

zeroc-ice (3.4-9) UNRELEASED; urgency=low

  * Fixed PHP support (again) with patch from ZeroC forums.
  * Added Patch#3 from ZeroC.
  * Fixed Java depends to allow coexistence with non-default JRE.
  * Removed dependency on librt.
  * Added ${python:Depends} to libicessl34 deps.

 -- Francisco Moya <paco@debian.org>  Thu, 15 Mar 2012 15:48:23 +0100

zeroc-ice (3.4-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert the patch 'fixing' the FTBFS with gcc-4.7 that breaks ABI, and
    add force_gcc_4.6.patch.  We need to do this all in the upstream makefile
    because it has a silly check for the intel icpc compiler that we need to
    patch around or the build will fail with anything but c++ as the compiler,
    and we can't just override CXX in /rules because the wonderful 3.0 (quilt)


=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: optional
Maintainer: Francisco Moya <paco@debian.org>
Uploaders: Cleto Martín <cleto@debian.org>
Build-Depends: debhelper (>= 9),
	       hardening-wrapper,
 	       libdb++-dev,
	       libmcpp-dev (>= 2.7.1),
	       libreadline-gplv2-dev,
	       libexpat1-dev,
	       libssl-dev,
	       libbz2-dev,
 	       zlib1g-dev | libz-dev,
	       python-all-dev (>= 2.3.5-11),
	       python3-all-dev,
	       php5-dev (>= 5.4.0~rc6),
	       ruby-dev,
	       ruby,
	       libqt4-dev,
Build-Depends-Indep: mono-devel | c-sharp-2.0-compiler,
		     libmono2.0-cil,
		     pkg-config,
 		     default-jdk | java-gcj-compat,
		     libjgoodies-looks-java (>= 2.5.2),
		     libjgoodies-forms-java (>= 1.6.0),
		     proguard (>= 4.1),
 		     libdb5.3-java (>= 5.1.4~) | libdb-java (>= 5.1.4~),
		     ant,
		     ant-optional,
		     mono-gmcs,
	       	     cli-common-dev (>= 0.8~)
Standards-Version: 3.9.5
Homepage: http://www.zeroc.com/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: zeroc-ice35
Architecture: all
Provides: zeroc-ice
Replaces: zeroc-ice, zeroc-ice32, zeroc-ice33, zeroc-ice34
Conflicts: zeroc-ice, zeroc-ice32, zeroc-ice33, zeroc-ice34
Depends: ice35-services (>= ${binary:Version}),
 	 ice35-translators (>= ${binary:Version}),
 	 ice35-slice (>= ${binary:Version}),
 	 libzeroc-ice35-dev (>= ${binary:Version}),
 	 libzeroc-ice3.5-cil (>= ${binary:Version}),
 	 python-zeroc-ice (>= ${binary:Version}),
 	 python3-zeroc-ice (>= ${binary:Version}),
 	 php-zeroc-ice (>= ${binary:Version}),
 	 libzeroc-ice3.5-java (>= ${binary:Version}),
 	 ${misc:Depends}
Recommends: libzeroc-ice35-dbg (>= ${binary:Version})
Description: Internet Communications Engine
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This metapackage contains dependencies for all Ice related packages.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: ice35-translators
Architecture: any
Provides: ice-translators, slice2cpp, slice2py, slice2cs, slice2java,
 	  slice2vb, slice2rb, slice2freeze, slice2freezej, slice2docbook,
	  slice2html
Conflicts: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 	   slice2freeze, slice2freezej, slice2docbook, slice2html,
 	   ice-translators
Replaces: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 	  slice2freeze, slice2freezej, slice2docbook, slice2html,
 	  ice-translators
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slice translators to several languages
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms. Slice is the interface description language used in Ice.
 .
 This package contains all the Slice translators (slice2cpp, slice2py,
 slice2cs, slice2java, slice2vb, slice2rb, slice2freeze,
 slice2freezej, slice2docbook, and slice2html).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: ice35-services
Architecture: any
Provides: ice-services, icestorm, icegrid, icepatch2, glacier2, freeze
Replaces: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 	  freeze, ice-services
Conflicts: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 	   freeze, ice-services
Depends: icebox (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Services bundled into ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package contains binaries for all Ice services (IceGrid,
 IceStorm, IcePatch2, Glacier2 and Freeze).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: libicestorm35
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing an event service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceStorm related libraries, an asynchronous
 event propagation service provided by Ice.  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: libicegrid35
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing grid-like services for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceGrid related libraries, a complete grid
 management solution included in Ice. This service was formerly known
 as IcePack.  You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: libicebox35
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Libraries implementing a plugin framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related libraries, a general purpose
 plug-in based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: icebox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugin-based meta-application for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related utilities, a general purpose
 plugin-based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: libicepatch2-35
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Libraries implementing a distribution service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IcePatch2 related libraries, a remote
 filesystem synchronization framework included in Ice.  You will find
 further information in the ZeroC home page
 (http://www.zeroc.com/ice.html) and in the non-free package
 zeroc-ice-manual.

Package: libglacier2-35
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a firewall service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the Glacier2 related libraries, a firewall
 solution for Ice applications.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html) and in the
 non-free package zeroc-ice-manual.

Package: libfreeze35
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries implementing a persistence framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the freeze libraries.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html) and in the
 non-free package zeroc-ice-manual.

Package: libicedb35
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for persistent backends for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the Berkeley DB libraries for Freeze. You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html)
 and in the non-free package zeroc-ice-manual.

Package: ice35-slice
Architecture: all
Provides: ice-slice
Replaces: ice-slice
Conflicts: ice-slice
Depends: ${misc:Depends}
Description: Slice definitions for Ice services
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .

=== debian/watch ===
# watch file for uscan
version=3
http://www.zeroc.com/download.html#src (?:.*/)?Ice-?_?([\w+\d+\.]+|\d+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|) debian uupdate

## zeroc-ice 3.5.1-5.2+7.0trisquel1

=== cpp/Makefile ===
--- 
+++ 
@@ -11,10 +11,10 @@
 
 include $(top_srcdir)/config/Make.rules
 
-SUBDIRS		= config src include test
+SUBDIRS		= config src include
 
 ifeq ($(shell uname | grep MINGW),)
-SUBDIRS		:= $(SUBDIRS) demo
+SUBDIRS		:= $(SUBDIRS)
 endif
 
 INSTALL_SUBDIRS	= $(install_bindir) $(install_libdir) $(install_includedir) \

=== cs/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 include $(top_srcdir)/config/Make.rules.cs
 
-SUBDIRS		= src test demo
+SUBDIRS		= src
 
 INSTALL_SUBDIRS	= $(install_bindir) $(install_assembliesdir) $(install_mandir)

=== php/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 include $(top_srcdir)/config/Make.rules.php
 
-SUBDIRS		= src lib demo test
+SUBDIRS		= src lib
 INSTALL_SUBDIRS = $(install_phpdir) $(install_libdir)
 
 install:: install-common

=== cpp/src/IceUtil/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ../..

LIBFILENAME	= $(call mklibfilename,IceUtil,$(VERSION))
SONAME		= $(call mksoname,IceUtil,$(SOVERSION))
LIBNAME		= $(call mklibname,IceUtil)
TARGETS		= $(call mklibtargets,$(libdir)/$(LIBFILENAME),$(libdir)/$(SONAME),$(libdir)/$(LIBNAME))

OBJS		= ArgVector.o \
		  Cond.o \
		  ConvertUTF.o \
		  CountDownLatch.o \
		  CtrlCHandler.o \
		  Exception.o \
		  InputUtil.o \
		  Options.o \
		  OutputUtil.o \
		  Random.o \
		  RecMutex.o \
		  Shared.o \
		  StringUtil.o \
		  Thread.o \
		  ThreadException.o \
		  Time.o \
		  Timer.o \
		  UUID.o \
		  Unicode.o \
		  MutexProtocol.o \
		  FileUtil.o

SRCS		= $(OBJS:.o=.cpp)

include $(top_srcdir)/config/Make.rules

CPPFLAGS        := $(CPPFLAGS) $(ICEUTIL_FLAGS) -DICE_UTIL_API_EXPORTS -I..
LINKWITH        := $(ICEUTIL_OS_LIBS) -lrt

ifeq ($(STATICLIBS),yes)
$(libdir)/$(LIBNAME): $(OBJS)
	rm -f $@
	$(call mklib,$@,$(OBJS))
else
$(libdir)/$(LIBFILENAME): $(OBJS)
	rm -f $@
	$(call mkshlib,$@,$(SONAME),$(OBJS),$(LINKWITH))

$(libdir)/$(SONAME): $(libdir)/$(LIBFILENAME)
	rm -f $@
	ln -s $(LIBFILENAME) $@

$(libdir)/$(LIBNAME): $(libdir)/$(SONAME)
	rm -f $@
	ln -s $(SONAME) $@
endif

install:: all
	$(call installlib,$(DESTDIR)$(install_libdir),$(libdir),$(LIBFILENAME),$(SONAME),$(LIBNAME))

include .depend

=== debian/changelog ===
zeroc-ice (3.5.1-5.2+7.0trisquel1) belenos; urgency=medium

  * Remove references to nonfree manual, #7963

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 31 May 2015 12:03:30 +0000

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 	       python-all-dev (>= 2.3.5-11),
 	       python3-all-dev,
 	       php5-dev (>= 5.4.0~rc6),
-	       ruby-dev,
-	       ruby,
+	       ruby1.9.1-dev,
+	       ruby1.9.1,
 	       libqt4-dev,
 Build-Depends-Indep: mono-devel | c-sharp-2.0-compiler,
 		     libmono2.0-cil,
@@ -63,8 +63,7 @@
  .
  This metapackage contains dependencies for all Ice related packages.
  You will find further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: ice35-translators
 Architecture: any
@@ -91,8 +90,7 @@
  This package contains all the Slice translators (slice2cpp, slice2py,
  slice2cs, slice2java, slice2vb, slice2rb, slice2freeze,
  slice2freezej, slice2docbook, and slice2html).  You will find further
- information in the ZeroC home page (http://www.zeroc.com/ice.html)
- and in the non-free package zeroc-ice-manual.
+ information in the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: ice35-services
 Architecture: any
@@ -114,8 +112,7 @@
  .
  This package contains binaries for all Ice services (IceGrid,
  IceStorm, IcePatch2, Glacier2 and Freeze).  You will find further
- information in the ZeroC home page (http://www.zeroc.com/ice.html)
- and in the non-free package zeroc-ice-manual.
+ information in the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: libicestorm35
 Architecture: any
@@ -136,8 +133,7 @@
  .
  This package provides the IceStorm related libraries, an asynchronous
  event propagation service provided by Ice.  You will find further
- information in the ZeroC home page (http://www.zeroc.com/ice.html)
- and in the non-free package zeroc-ice-manual.
+ information in the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: libicegrid35
 Architecture: any
@@ -159,8 +155,7 @@
  This package provides the IceGrid related libraries, a complete grid
  management solution included in Ice. This service was formerly known
  as IcePack.  You will find further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: libicebox35
 Architecture: any
@@ -181,8 +176,7 @@
  This package provides the IceBox related libraries, a general purpose
  plug-in based application development framework for Ice applications.
  You will find further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: icebox
 Architecture: any
@@ -200,8 +194,7 @@
  This package provides the IceBox related utilities, a general purpose
  plugin-based application development framework for Ice applications.
  You will find further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: libicepatch2-35
 Architecture: any
@@ -222,8 +215,7 @@
  This package provides the IcePatch2 related libraries, a remote
  filesystem synchronization framework included in Ice.  You will find
  further information in the ZeroC home page
- (http://www.zeroc.com/ice.html) and in the non-free package
- zeroc-ice-manual.
+ (http://www.zeroc.com/ice.html).
 
 Package: libglacier2-35
 Architecture: any
@@ -243,8 +235,7 @@
  .
  This package provides the Glacier2 related libraries, a firewall
  solution for Ice applications.  You will find further information in
- the ZeroC home page (http://www.zeroc.com/ice.html) and in the
- non-free package zeroc-ice-manual.
+ the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: libfreeze35
 Architecture: any
@@ -264,8 +255,7 @@
  .
  Freeze is the persistence framework included in Ice. This package
  installs the freeze libraries.  You will find further information in
- the ZeroC home page (http://www.zeroc.com/ice.html) and in the
- non-free package zeroc-ice-manual.
+ the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: libicedb35
 Architecture: any
@@ -285,8 +275,7 @@
  .
  Freeze is the persistence framework included in Ice. This package
  installs the Berkeley DB libraries for Freeze. You will find further
- information in the ZeroC home page (http://www.zeroc.com/ice.html)
- and in the non-free package zeroc-ice-manual.
+ information in the ZeroC home page (http://www.zeroc.com/ice.html).
 
 Package: ice35-slice
 Architecture: all
@@ -300,3 +289,16 @@
  Internet communications platform, Ice includes a wealth of layered
  services and plug-ins.
  .
+ Ice is built on concepts which will be familiar to CORBA programmers,
+ and supports a wide variety of programming languages and runtime
+ platforms. Slice is the interface description language used in Ice.
+ .
+ This package installs the Slice definitions of standard Ice services
+ on /usr/share/slice.  You will find further information in the ZeroC
+ home page (http://www.zeroc.com/ice.html).
+
+Package: libzeroc-ice35
+Architecture: any
+Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
